---
title: llarp::net::IPPacket::PutTime

---

# llarp::net::IPPacket::PutTime





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PutTime](Classes/structllarp_1_1net_1_1IPPacket_1_1PutTime.md#function-puttime)**(EventLoop_ptr evloop) |
| void | **[operator()](Classes/structllarp_1_1net_1_1IPPacket_1_1PutTime.md#function-operator())**([IPPacket](Classes/structllarp_1_1net_1_1IPPacket.md) & pkt) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| EventLoop_ptr | **[loop](Classes/structllarp_1_1net_1_1IPPacket_1_1PutTime.md#variable-loop)**  |

## Public Functions Documentation

### function PutTime

```cpp
inline PutTime(
    EventLoop_ptr evloop
)
```


### function operator()

```cpp
inline void operator()(
    IPPacket & pkt
) const
```


## Public Attributes Documentation

### variable loop

```cpp
EventLoop_ptr loop;
```


-------------------------------

Updated on 2022-04-18 at 19:54:45 +0000